commit:     e790ece48fe68cb88e550dc1e0a9278db9cf9c4a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 10 20:01:53 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jan 10 20:43:48 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e790ece4

dev-python/rdflib: Bump to 7.1.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/rdflib/Manifest            |  1 +
 dev-python/rdflib/rdflib-7.1.2.ebuild | 72 +++++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/dev-python/rdflib/Manifest b/dev-python/rdflib/Manifest
index f8a4af856b87..55003184a6d7 100644
--- a/dev-python/rdflib/Manifest
+++ b/dev-python/rdflib/Manifest
@@ -1 +1,2 @@
 DIST rdflib-7.1.1.tar.gz 4864216 BLAKE2B 
b583e6f9afab95fc0818c4f11740ab8cab540b774a3db15fc8be7b836149f40af6eb445a61b61e020c55f9b561c17f5019275070272449bd4ea25827e4925e39
 SHA512 
6eafaebfb604446399b214496aabc91fe0c689e9b35d5637de35a5d9784a1acb9d727c7ad5eebe8700d0be2b1e54b3d51cd3fe723a2a6cbd38f0e259d42bc2c5
+DIST rdflib-7.1.2.gh.tar.gz 5030802 BLAKE2B 
7a8444d39a456a8e1ca0f3956f3f3a7e43d7fd8a166b1738c5add32a21f6625d71ce5a97a65e5ff3550fbb6ac4eaa8de353e6f333fe7aad947be8e849298dee0
 SHA512 
a88efdbf461392033e14f72bfe755e449d86927b9d48668cded68e0ad2a5d04de1255eccf8086993cb8c9a3442eb5549dc73f66cfb2c97ff35fcba021c970ec7

diff --git a/dev-python/rdflib/rdflib-7.1.2.ebuild 
b/dev-python/rdflib/rdflib-7.1.2.ebuild
new file mode 100644
index 000000000000..fbbf708e8ef9
--- /dev/null
+++ b/dev-python/rdflib/rdflib-7.1.2.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{10..13} )
+PYTHON_REQ_USE="sqlite?,threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="RDF library containing a triple store and parser/serializer"
+HOMEPAGE="
+       https://github.com/RDFLib/rdflib/
+       https://pypi.org/project/rdflib/
+"
+# tests removed in 7.1.2
+SRC_URI="
+       https://github.com/RDFLib/rdflib/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv 
~sparc ~x86"
+IUSE="examples sqlite"
+
+RDEPEND="
+       $(python_gen_cond_dep '
+               <dev-python/isodate-1[${PYTHON_USEDEP}]
+               >=dev-python/isodate-0.7.2[${PYTHON_USEDEP}]
+       ' 3.10)
+       dev-python/html5lib[${PYTHON_USEDEP}]
+       <dev-python/pyparsing-4[${PYTHON_USEDEP}]
+       >=dev-python/pyparsing-3.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/requests[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+
+       # doctests require internet
+       sed -i -e '/doctest-modules/d' pyproject.toml || die
+
+       # we disable pytest-cov
+       sed -i -e 's@, no_cover: None@@' test/test_misc/test_plugins.py || die
+
+       # allow regular html5lib, html5rdf is a fork with minimal changes:
+       # removing six dep (which is kinda good) and bundling webencodings
+       # (which is horrible)
+       find -name '*.py' -exec sed -i -e 's:html5rdf:html5lib:g' {} + || die
+}
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest -m "not webtest"
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       if use examples; then
+               dodoc -r examples
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+}

Reply via email to